
    typedef struct _EVENT_DESCRIPTOR
    {
        int const Level;
        ULONGLONG const Keyword;
    } EVENT_DESCRIPTOR;
    
#if !defined(EVENTPIPE_TRACE_CONTEXT_DEF)
#define EVENTPIPE_TRACE_CONTEXT_DEF
typedef struct _EVENTPIPE_TRACE_CONTEXT
{
    WCHAR const * Name;
    UCHAR Level;
    bool IsEnabled;
    ULONGLONG EnabledKeywordsBitmask;
} EVENTPIPE_TRACE_CONTEXT, *PEVENTPIPE_TRACE_CONTEXT;
#endif // EVENTPIPE_TRACE_CONTEXT_DEF

#if !defined(LTTNG_TRACE_CONTEXT_DEF)
#define LTTNG_TRACE_CONTEXT_DEF
typedef struct _LTTNG_TRACE_CONTEXT
{
    WCHAR const * Name;
    UCHAR Level;
    bool IsEnabled;
    ULONGLONG EnabledKeywordsBitmask;
} LTTNG_TRACE_CONTEXT, *PLTTNG_TRACE_CONTEXT;
#endif // LTTNG_TRACE_CONTEXT_DEF

#if !defined(DOTNET_TRACE_CONTEXT_DEF)
#define DOTNET_TRACE_CONTEXT_DEF
typedef struct _DOTNET_TRACE_CONTEXT
{
    EVENTPIPE_TRACE_CONTEXT EventPipeProvider;
    PLTTNG_TRACE_CONTEXT LttngProvider;
} DOTNET_TRACE_CONTEXT, *PDOTNET_TRACE_CONTEXT;
#endif // DOTNET_TRACE_CONTEXT_DEF
EXTERN_C __declspec(selectany) EVENTPIPE_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_EVENTPIPE_Context = { W("Microsoft-Windows-DotNETRuntime"), 0, false, 0 };
EXTERN_C __declspec(selectany) LTTNG_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_LTTNG_Context = { W("Microsoft-Windows-DotNETRuntime"), 0, false, 0 };
// Keywords
#define CLR_GC_KEYWORD 0x1
#define CLR_GCHANDLE_KEYWORD 0x2
#define CLR_FUSION_KEYWORD 0x4
#define CLR_LOADER_KEYWORD 0x8
#define CLR_JIT_KEYWORD 0x10
#define CLR_NGEN_KEYWORD 0x20
#define CLR_STARTENUMERATION_KEYWORD 0x40
#define CLR_ENDENUMERATION_KEYWORD 0x80
#define CLR_SECURITY_KEYWORD 0x400
#define CLR_APPDOMAINRESOURCEMANAGEMENT_KEYWORD 0x800
#define CLR_JITTRACING_KEYWORD 0x1000
#define CLR_INTEROP_KEYWORD 0x2000
#define CLR_CONTENTION_KEYWORD 0x4000
#define CLR_EXCEPTION_KEYWORD 0x8000
#define CLR_THREADING_KEYWORD 0x10000
#define CLR_JITTEDMETHODILTONATIVEMAP_KEYWORD 0x20000
#define CLR_OVERRIDEANDSUPPRESSNGENEVENTS_KEYWORD 0x40000
#define CLR_TYPE_KEYWORD 0x80000
#define CLR_GCHEAPDUMP_KEYWORD 0x100000
#define CLR_GCHEAPALLOCHIGH_KEYWORD 0x200000
#define CLR_GCHEAPSURVIVALANDMOVEMENT_KEYWORD 0x400000
#define CLR_GCHEAPCOLLECT_KEYWORD 0x800000
#define CLR_GCHEAPANDTYPENAMES_KEYWORD 0x1000000
#define CLR_GCHEAPALLOCLOW_KEYWORD 0x2000000
#define CLR_PERFTRACK_KEYWORD 0x20000000
#define CLR_STACK_KEYWORD 0x40000000
#define CLR_THREADTRANSFER_KEYWORD 0x80000000
#define CLR_DEBUGGER_KEYWORD 0x100000000
#define CLR_MONITORING_KEYWORD 0x200000000
#define CLR_CODESYMBOLS_KEYWORD 0x400000000
#define CLR_EVENTSOURCE_KEYWORD 0x800000000
#define CLR_COMPILATION_KEYWORD 0x1000000000
#define CLR_COMPILATIONDIAGNOSTIC_KEYWORD 0x2000000000
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCStart = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCStart_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCStart_V2 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCEnd_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCRestartEEEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCRestartEEEnd_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCHeapStats = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCHeapStats_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCCreateSegment = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCCreateSegment_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFreeSegment = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFreeSegment_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCRestartEEBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCRestartEEBegin_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSuspendEEEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSuspendEEEnd_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSuspendEEBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSuspendEEBegin_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCAllocationTick = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCAllocationTick_V1 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCAllocationTick_V2 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCAllocationTick_V3 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCCreateConcurrentThread = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCCreateConcurrentThread_V1 = { 4, 0x10001 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCTerminateConcurrentThread = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCTerminateConcurrentThread_V1 = { 4, 0x10001 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFinalizersEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFinalizersEnd_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFinalizersBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFinalizersBegin_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BulkType = { 4, 0x80000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkRootEdge = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkRootConditionalWeakTableElementEdge = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkNode = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkEdge = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSampledObjectAllocationHigh = { 4, 0x200000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkSurvivingObjectRanges = { 4, 0x400000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkMovedObjectRanges = { 4, 0x400000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCGenerationRange = { 4, 0x400000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCMarkStackRoots = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCMarkFinalizeQueueRoots = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCMarkHandles = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCMarkOlderGenerationRoots = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FinalizeObject = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const SetGCHandle = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DestroyGCHandle = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSampledObjectAllocationLow = { 4, 0x2000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PinObjectAtGCTime = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCTriggered = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkRootCCW = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkRCW = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCBulkRootStaticVar = { 4, 0x100000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCDynamicEvent = { 0, 0x3f00003 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const WorkerThreadCreate = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const WorkerThreadTerminate = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const WorkerThreadRetire = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const WorkerThreadUnretire = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadCreate = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadCreate_V1 = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadTerminate = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadTerminate_V1 = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadRetire = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadRetire_V1 = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadUnretire = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IOThreadUnretire_V1 = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadpoolSuspensionSuspendThread = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadpoolSuspensionResumeThread = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadStart = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadStop = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadRetirementStart = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadRetirementStop = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadAdjustmentSample = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadAdjustmentAdjustment = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadAdjustmentStats = { 5, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkerThreadWait = { 4, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolWorkingThreadCount = { 5, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolEnqueue = { 5, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolDequeue = { 5, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolIOEnqueue = { 5, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolIODequeue = { 5, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadPoolIOPack = { 5, 0x10000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadCreating = { 4, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadRunning = { 4, 0x80010000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionThrown = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionThrown_V1 = { 2, 0x200008000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionCatchStart = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionCatchStop = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionFinallyStart = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionFinallyStop = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionFilterStart = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionFilterStop = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExceptionThrownStop = { 4, 0x8000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Contention = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ContentionStart_V1 = { 4, 0x4000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ContentionStop = { 4, 0x4000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ContentionStop_V1 = { 4, 0x4000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CLRStackWalk = { 0, 0x40000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainMemAllocated = { 4, 0x800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainMemSurvived = { 4, 0x800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadCreated = { 4, 0x10800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadTerminated = { 4, 0x10800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadDomainEnter = { 4, 0x10800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ILStubGenerated = { 4, 0x2000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ILStubCacheHit = { 4, 0x2000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCStartCompleteV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCEndCompleteV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartVerboseV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndVerboseV2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoad = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoad_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoad_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const R2RGetEntryPoint = { 5, 0x2000000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnload = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnload_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnload_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoadVerbose = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoadVerbose_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodLoadVerbose_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnloadVerbose = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnloadVerbose_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodUnloadVerbose_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJittingStarted = { 5, 0x10 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJittingStarted_V1 = { 5, 0x10 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitInliningSucceeded = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitInliningFailedAnsi = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitTailCallSucceeded = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitTailCallFailedAnsi = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodILToNativeMap = { 5, 0x20000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitTailCallFailed = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodJitInliningFailed = { 5, 0x1000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCStartV2 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCEndV2 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleLoad = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleLoad_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleLoad = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleLoad_V1 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleLoad_V2 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleUnload = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleUnload_V1 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleUnload_V2 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyLoad = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyLoad_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyUnload = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyUnload_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainLoad = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainLoad_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainUnload = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainUnload_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleRangeLoad = { 4, 0x20000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StrongNameVerificationStart = { 5, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StrongNameVerificationStart_V1 = { 5, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StrongNameVerificationStop = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StrongNameVerificationStop_V1 = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AuthenticodeVerificationStart = { 5, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AuthenticodeVerificationStart_V1 = { 5, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AuthenticodeVerificationStop = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AuthenticodeVerificationStop_V1 = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const RuntimeInformationStart = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IncreaseMemoryPressure = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DecreaseMemoryPressure = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCMarkWithType = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCJoin_V2 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCPerHeapHistory_V3 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCGlobalHeapHistory_V2 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DebugIPCEventStart = { 4, 0x100000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DebugIPCEventEnd = { 4, 0x100000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DebugExceptionProcessingStart = { 4, 0x100000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DebugExceptionProcessingEnd = { 4, 0x100000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CodeSymbols = { 5, 0x400000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EventSource = { 4, 0x800000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationSettings = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationPause = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationResume = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationBackgroundJitStart = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationBackgroundJitStop = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENTPIPE_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_EVENTPIPE_Context = { W("Microsoft-Windows-DotNETRuntimeRundown"), 0, false, 0 };
EXTERN_C __declspec(selectany) LTTNG_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_LTTNG_Context = { W("Microsoft-Windows-DotNETRuntimeRundown"), 0, false, 0 };
// Keywords
#define CLR_RUNDOWNLOADER_KEYWORD 0x8
#define CLR_RUNDOWNJIT_KEYWORD 0x10
#define CLR_RUNDOWNNGEN_KEYWORD 0x20
#define CLR_RUNDOWNSTART_KEYWORD 0x40
#define CLR_RUNDOWNEND_KEYWORD 0x100
#define CLR_RUNDOWNAPPDOMAINRESOURCEMANAGEMENT_KEYWORD 0x800
#define CLR_RUNDOWNTHREADING_KEYWORD 0x10000
#define CLR_RUNDOWNJITTEDMETHODILTONATIVEMAP_KEYWORD 0x20000
#define CLR_RUNDOWNOVERRIDEANDSUPPRESSNGENEVENTS_KEYWORD 0x40000
#define CLR_RUNDOWNPERFTRACK_KEYWORD 0x20000000
#define CLR_RUNDOWNSTACK_KEYWORD 0x40000000
#define CLR_COMPILATION_RUNDOWN_KEYWORD 0x1000000000
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CLRStackWalkDCStart = { 0, 0x40000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStart = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStart_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStart_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEnd = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEnd_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEnd_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartVerbose = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartVerbose_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartVerbose_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndVerbose = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndVerbose_V1 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndVerbose_V2 = { 4, 0x30 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCStartComplete = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCStartComplete_V1 = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCEndComplete = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCEndComplete_V1 = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCStartInit = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCStartInit_V1 = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCEndInit = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DCEndInit_V1 = { 4, 0x20038 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCStartILToNativeMap = { 5, 0x20000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodDCEndILToNativeMap = { 5, 0x20000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleDCStart = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleDCStart_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleDCEnd = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const DomainModuleDCEnd_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCStart = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCStart_V1 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCStart_V2 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCEnd = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCEnd_V1 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleDCEnd_V2 = { 4, 0x20000008 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyDCStart = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyDCStart_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyDCEnd = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AssemblyDCEnd_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainDCStart = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainDCStart_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainDCEnd = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AppDomainDCEnd_V1 = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ThreadDC = { 4, 0x10800 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleRangeDCStart = { 4, 0x20000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleRangeDCEnd = { 4, 0x20000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const RuntimeInformationDCStart = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TieredCompilationSettingsDCStart = { 4, 0x1000000000 };
EXTERN_C __declspec(selectany) EVENTPIPE_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_EVENTPIPE_Context = { W("Microsoft-Windows-DotNETRuntimeStress"), 0, false, 0 };
EXTERN_C __declspec(selectany) LTTNG_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_LTTNG_Context = { W("Microsoft-Windows-DotNETRuntimeStress"), 0, false, 0 };
// Keywords
#define CLR_STRESSSTACK_KEYWORD 0x40000000
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StressLogEvent = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const StressLogEvent_V1 = { 4, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CLRStackWalkStress = { 0, 0x40000000 };
EXTERN_C __declspec(selectany) EVENTPIPE_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_EVENTPIPE_Context = { W("Microsoft-Windows-DotNETRuntimePrivate"), 0, false, 0 };
EXTERN_C __declspec(selectany) LTTNG_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_LTTNG_Context = { W("Microsoft-Windows-DotNETRuntimePrivate"), 0, false, 0 };
// Keywords
#define CLR_PRIVATEGC_KEYWORD 0x00000001
#define CLR_PRIVATEBINDING_KEYWORD 0x00000002
#define CLR_PRIVATENGENFORCERESTORE_KEYWORD 0x00000004
#define CLR_PRIVATEFUSION_KEYWORD 0x00000008
#define CLR_PRIVATELOADERHEAP_KEYWORD 0x00000010
#define CLR_PRIVATESECURITY_KEYWORD 0x00000400
#define CLR_INTEROP_KEYWORD 0x2000
#define CLR_PRIVATEGCHANDLE_KEYWORD 0x4000
#define CLR_PRIVATEMULTICOREJIT_KEYWORD 0x20000
#define CLR_PRIVATESTACK_KEYWORD 0x40000000
#define CLR_PRIVATESTARTUP_KEYWORD 0x80000000
#define CLR_PERFTRACK_PRIVATE_KEYWORD 0x20000000
#define CLR_PRIVATE_DYNAMICTYPEUSAGE_KEYWORD 0x00000020
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCDecision = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCDecision_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSettings = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCSettings_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCOptimized = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCOptimized_V1 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCPerHeapHistory = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCPerHeapHistory_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCGlobalHeapHistory = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCGlobalHeapHistory_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCJoin = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCJoin_V1 = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkStackRoots = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkStackRoots_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkFinalizeQueueRoots = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkFinalizeQueueRoots_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkHandles = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkHandles_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkCards = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvGCMarkCards_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC1stNonConEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC1stConEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC2ndNonConBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC2ndNonConEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC2ndConBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC2ndConEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCPlanEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCSweepEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCDrainMark = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCRevisit = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCOverflow = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCAllocWaitBegin = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGCAllocWaitEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFullNotify = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GCFullNotify_V1 = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BGC1stSweepEnd = { 4, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEStartupStart = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEStartupStart_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEStartupEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEStartupEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSetup = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSetup_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSetupEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSetupEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdSysBases = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdSysBases_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdSysBasesEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdSysBasesEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExecExe = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExecExe_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExecExeEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExecExeEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Main = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Main_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MainEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MainEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ApplyPolicyStart = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ApplyPolicyStart_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ApplyPolicyEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ApplyPolicyEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdLibShFolder = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdLibShFolder_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdLibShFolderEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LdLibShFolderEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrestubWorker = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrestubWorker_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrestubWorkerEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrestubWorkerEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetInstallationStart = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetInstallationStart_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetInstallationEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetInstallationEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const OpenHModule = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const OpenHModule_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const OpenHModuleEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const OpenHModuleEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExplicitBindStart = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExplicitBindStart_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExplicitBindEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ExplicitBindEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ParseXml = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ParseXml_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ParseXmlEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ParseXmlEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitDefaultDomain = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitDefaultDomain_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitDefaultDomainEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitDefaultDomainEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitSecurity = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitSecurity_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitSecurityEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const InitSecurityEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AllowBindingRedirs = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AllowBindingRedirs_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AllowBindingRedirsEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AllowBindingRedirsEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSync = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSync_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSyncEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EEConfigSyncEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionBinding = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionBinding_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionBindingEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionBindingEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderCatchCall = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderCatchCall_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderCatchCallEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderCatchCallEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionInit = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionInit_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionInitEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionInitEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionAppCtx = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionAppCtx_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionAppCtxEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionAppCtxEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Fusion2EE = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Fusion2EE_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Fusion2EEEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const Fusion2EEEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const SecurityCatchCall = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const SecurityCatchCall_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const SecurityCatchCallEnd = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const SecurityCatchCallEnd_V1 = { 4, 0x80000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CLRStackWalkPrivate = { 0, 0x40000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleRangeLoadPrivate = { 4, 0x20000000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingPolicyPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingPolicyPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingNgenPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingNgenPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingLookupAndProbingPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingLookupAndProbingPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingDownloadPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BindingDownloadPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderAssemblyInitPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderAssemblyInitPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderMappingPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderMappingPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderDeliverEventsPhaseStart = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const LoaderDeliverEventsPhaseEnd = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EvidenceGenerated = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleTransparencyComputationStart = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ModuleTransparencyComputationEnd = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TypeTransparencyComputationStart = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TypeTransparencyComputationEnd = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodTransparencyComputationStart = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MethodTransparencyComputationEnd = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FieldTransparencyComputationStart = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FieldTransparencyComputationEnd = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TokenTransparencyComputationStart = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const TokenTransparencyComputationEnd = { 4, 0x400 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const NgenBindEvent = { 4, 0x8 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FailFast = { 1, 0x0 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvFinalizeObject = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CCWRefCountChangeAnsi = { 5, 0x2000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvSetGCHandle = { 5, 0x4000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PrvDestroyGCHandle = { 5, 0x4000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionMessageEvent = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const FusionErrorCodeEvent = { 4, 0x2 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const PinPlugAtGCTime = { 5, 0x1 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CCWRefCountChange = { 5, 0x2000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const AllocRequest = { 5, 0x10 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MulticoreJit = { 4, 0x20000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const MulticoreJitMethodCodeReturned = { 4, 0x20000 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const IInspectableRuntimeClassName = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const WinRTUnbox = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CreateRCW = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const RCWVariance = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const RCWIEnumerableCasting = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CreateCCW = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const CCWVariance = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ObjectVariantMarshallingToNative = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetTypeFromGUID = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const GetTypeFromProgID = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ConvertToCallbackEtw = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const BeginCreateManagedReference = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const EndCreateManagedReference = { 4, 0x20 };
EXTERN_C __declspec(selectany) EVENT_DESCRIPTOR const ObjectVariantMarshallingToManaged = { 4, 0x20 };
#define NB_PROVIDERS 4
EXTERN_C __declspec(selectany) LTTNG_TRACE_CONTEXT * const ALL_LTTNG_PROVIDERS_CONTEXT[NB_PROVIDERS] = { &MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_LTTNG_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_LTTNG_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_LTTNG_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_LTTNG_Context };

EXTERN_C __declspec(selectany) DOTNET_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_DOTNET_Context = { MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_EVENTPIPE_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_PROVIDER_LTTNG_Context };

EXTERN_C __declspec(selectany) DOTNET_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_DOTNET_Context = { MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_EVENTPIPE_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_PRIVATE_PROVIDER_LTTNG_Context };

EXTERN_C __declspec(selectany) DOTNET_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_DOTNET_Context = { MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_EVENTPIPE_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_RUNDOWN_PROVIDER_LTTNG_Context };

EXTERN_C __declspec(selectany) DOTNET_TRACE_CONTEXT MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_DOTNET_Context = { MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_EVENTPIPE_Context, &MICROSOFT_WINDOWS_DOTNETRUNTIME_STRESS_PROVIDER_LTTNG_Context };
